#!/bin/sh
#
### BEGIN INIT INFO
# Provides: ftpdav
# Required-Start: $remote_fs
# Required-Stop: $remote_fs
# Should-Start: $network $syslog
# Should-Stop: $network $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Startup / shutdown script for ftpdav server
### END INIT INFO
#
# chkconfig: 235 80 30
# description: Startup / shutdown script for ftpdav server

case "$1" in
        start)
                # start server
                echo -n "Starting ftpdav server: "
                echo
                /usr/local/ftpdav/ftpdav_start.sh
                ;;
        stop)
                # stop server
                echo -n "Stopping ftpdav server: "
                echo
                /usr/local/ftpdav/ftpdav_stop.sh
                sleep 3
                ;;
        *)
                echo -n "Usage: ftpdav {start|stop}"
                echo
                exit 1
esac

exit 0
